Subject: bug#50462: 27.2; emacsclient syntax highlight failure

From: RDS <[email-masked]>
Date: Wed, 8 Sep 2021 12:21:09 -0700

>So it sounds like the faces lost their color definitions for some
>reason?
Yes. Something overwrote the setting returning it to default state = black.

>When this happens, and you invoke "M-x customize-face" on a
>problematic face, what does Emacs show for the color attributes of the
>face in the Customize buffer?
black.
I then entered green & voila, all was well.

On Wed, Sep 8, 2021 at 10:02 AM Eli Zaretskii <[email-masked]> wrote:

> > From: RDS <[email-masked]>
> > Date: Wed, 8 Sep 2021 09:46:38 -0700
> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> >
> > 1) Using standard agetty, not emacs terminal.
>
> I'm not sure I understand what this means.  What is "agetty"?  And
> what do you call "emacs terminal"?
>
> > 2) M-x list-faces-display (after fault)
> > All OK except
> >   font-lock-string-face (black-on-black)
> >   sh-escaped-newline "
> >   toolbar "
> >   window-divider-last-pixel "
>
> And what happens if you try to customize these faces to define the
> colors they should have?  Or different colors?  Does that work, or do
> these faces fail to display any colors, no matter what?
>
> Btw, how many colors does this terminal support?  You can find the
> answer like this:
>
>   M-: (display-color-cells) RET
>
> And finally, does "M-x list-colors-display RET" show some colors
> incorrectly?
>